DEFINITION MODULE Hooks;

(*
**   $Filename: utility/tagitem.i $
**   $Release: 1.0 $
**
**   Clone of 2.0 include file 'utility/hooks.h'
*)

FROM SYSTEM IMPORT ADDRESS;
FROM Nodes IMPORT MinNode;

TYPE
  HookPtr = POINTER TO Hook;
  Hook =
    RECORD
      hMinNode  : MinNode;
      hEntry    : LONGCARD;
      hSubEntry : LONGCARD;
      hData     : ADDRESS;
    END;

END Hooks.